API Reference
Add new transaction alert(s)
/transaction_alert https://transaction-api.cable.tech Authentication
- Bearer token in the Authorization header
Request body
Transaction alert data to add.
-
alert_idstring requiredUnique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
-
statusstring requiredAllowed values
CREATEDPENDINGCLOSED -
check_typestringThe type of monitoring check that triggered the alert.
Allowed values
INLINE_MONITORINGDELAYED_MONITORING -
related_check_idstringUnique identifier for a transaction check for which the alert belongs to.
-
additional_propertieslist of objectsAdditional metadata that relates to a transaction alert.
-
keystring requiredThe key of the additional property. This should be unique within the additional properties array.
-
valuestring requiredThe value of the additional property.
-
typestring requiredThe type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.
Allowed values
STRINGNUMBERBOOLEANOBJECTARRAY -
descriptionstring requiredA description of the additional property. This should provide context for the value.
-
-
timestampstring requiredThe time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.
Format
date-time
Responses
201 Transaction alert added successfully
-
alert_idstring requiredUnique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
-
statusstringAllowed values
CREATEDPENDINGCLOSED -
check_typestringThe type of monitoring check that triggered the alert.
Allowed values
INLINE_MONITORINGDELAYED_MONITORING -
related_check_idstringUnique identifier for a transaction check for which the alert belongs to.
-
additional_propertieslist of objectsAdditional metadata that relates to a transaction alert.
-
keystring requiredThe key of the additional property. This should be unique within the additional properties array.
-
valuestring requiredThe value of the additional property.
-
typestring requiredThe type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.
Allowed values
STRINGNUMBERBOOLEANOBJECTARRAY -
descriptionstring requiredA description of the additional property. This should provide context for the value.
-
-
timestampstring requiredThe time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.
Format
date-time
Errors
- 400 Invalid transaction alert data
- 401 Unauthorized request
- 409 Transaction alert already exists
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-